/*******************************************************************************
 * SeqAct_SetMatInstVectorParam generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class SeqAct_SetMatInstVectorParam extends SequenceAction
    hidecategories(Object);

var() MaterialInstanceConstant MatInst;
var() name ParamName;
var() LinearColor VectorValue;

static event int GetObjClassVersion()
{
    return super(SequenceObject).GetObjClassVersion() + 2;
    //return ReturnValue;    
}

defaultproperties
{
    VectorValue=(R=0.0,G=0.0,B=0.0,A=1.0)
    VariableLinks(0)=(ExpectedType=class'SeqVar_Vector',LinkedVariables=none,LinkDesc="VectorValue",LinkVar=None,PropertyName=None,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Set VectorParam"
}